jm.music.tools.ga

## Class ComplexMutater

- java.lang.Object
- - jm.music.tools.ga.GAComponent
  - - jm.music.tools.ga.Mutater
    - - jm.music.tools.ga.ComplexMutater

-     public class ComplexMutater
      extends Mutater

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.awt.Choice` | `choice`
    `protected static java.lang.String` | `label`
    `protected boolean` | `modifyAll`
    `protected java.awt.Label` | `mutateLabel`
    `protected java.awt.Panel` | `panel`
    `protected java.awt.Scrollbar` | `scrollbar`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComplexMutater()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getLabel()`
    `java.awt.Panel` | `getPanel()` This class incoproates a visual editor to change the amount of each mutation, the returned awt panel can be put into a visible componenet to allow GUI editing of the mutation amounts.
    `Phrase[]` | `mutate(Phrase[] population, double initialLength, int initialSize, int beatsPerBar)`
    `void` | `setModifyAll(boolean val)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### label

          protected static java.lang.String label

    - #### panel

          protected java.awt.Panel panel

    - #### choice

          protected java.awt.Choice choice

    - #### scrollbar

          protected java.awt.Scrollbar scrollbar

    - #### mutateLabel

          protected java.awt.Label mutateLabel

    - #### modifyAll

          protected boolean modifyAll

  - ### Constructor Detail

    - #### ComplexMutater

          public ComplexMutater()

  - ### Method Detail

    - #### mutate

          public Phrase[] mutate(Phrase[] population,
                        double initialLength,
                        int initialSize,
                        int beatsPerBar)

      Specified by:
        `mutate` in class `Mutater`

    - #### getPanel

          public java.awt.Panel getPanel()

      This class incoproates a visual editor to change the amount of each mutation, the returned awt panel can be put into a visible componenet to allow GUI editing of the mutation amounts.
      Overrides:
        `getPanel` in class `GAComponent`

    - #### getLabel

          public java.lang.String getLabel()

      Overrides:
        `getLabel` in class `GAComponent`

    - #### setModifyAll

          public void setModifyAll(boolean val)